package org.silverpeas.mobile.shared.dto;

import static org.fusesource.restygwt.client.AbstractJsonEncoderDecoder.*;

public class BaseDTO_Generated_JsonEncoderDecoder_ extends org.fusesource.restygwt.client.AbstractJsonEncoderDecoder<org.silverpeas.mobile.shared.dto.BaseDTO> {
  
  public static final BaseDTO_Generated_JsonEncoderDecoder_ INSTANCE = new BaseDTO_Generated_JsonEncoderDecoder_();
  
  public com.google.gwt.json.client.JSONValue encode(org.silverpeas.mobile.shared.dto.BaseDTO value) {
    if( value==null ) {
      return getNullType();
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.media.AlbumDTO"))
    {
      return encodeAlbumDTO436648798(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.classifieds.ClassifiedDTO"))
    {
      return encodeClassifiedDTO432626151(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.classifieds.ClassifiedsDTO"))
    {
      return encodeClassifiedsDTO1774156867(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.GroupDTO"))
    {
      return encodeGroupDTO1898505912(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.HomePageDTO"))
    {
      return encodeHomePageDTO1583054728(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.media.MediaDTO"))
    {
      return encodeMediaDTO227410885(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.news.NewsDTO"))
    {
      return encodeNewsDTO524368723(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.media.PhotoDTO"))
    {
      return encodePhotoDTO694817573(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.blog.PostDTO"))
    {
      return encodePostDTO751345343(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.documents.PublicationDTO"))
    {
      return encodePublicationDTO1361391816(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.media.SoundDTO"))
    {
      return encodeSoundDTO1193808412(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.TaskDTO"))
    {
      return encodeTaskDTO1042469607(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.documents.TopicDTO"))
    {
      return encodeTopicDTO1459068666(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.UserDTO"))
    {
      return encodeUserDTO783042460(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.media.VideoDTO"))
    {
      return encodeVideoDTO689117351(value);
    }
    if(value.getClass().getName().equals("org.silverpeas.mobile.shared.dto.media.VideoStreamingDTO"))
    {
      return encodeVideoStreamingDTO17715848(value);
    }
    return null;
  }
  
  private com.google.gwt.json.client.JSONValue encodeAlbumDTO436648798( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("AlbumDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.media.AlbumDTO parseValue = (org.silverpeas.mobile.shared.dto.media.AlbumDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(INT.encode(parseValue.getCountMedia()), rc, "countMedia");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getRoot()), rc, "root");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeClassifiedDTO432626151( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("ClassifiedDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.classifieds.ClassifiedDTO parseValue = (org.silverpeas.mobile.shared.dto.classifieds.ClassifiedDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
    isNotNullValuePut(STRING.encode(parseValue.getDescription()), rc, "description");
    isNotNullValuePut(STRING.encode(parseValue.getPrice()), rc, "price");
    isNotNullValuePut(STRING.encode(parseValue.getType()), rc, "type");
    isNotNullValuePut(STRING.encode(parseValue.getCategory()), rc, "category");
    isNotNullValuePut(toJSON(parseValue.getPictures(), STRING), rc, "pictures");
    isNotNullValuePut(STRING.encode(parseValue.getCreatorName()), rc, "creatorName");
    isNotNullValuePut(STRING.encode(parseValue.getCreatorId()), rc, "creatorId");
    isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
    isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
    isNotNullValuePut(INT.encode(parseValue.getCommentsNumber()), rc, "commentsNumber");
    isNotNullValuePut(toJSON(parseValue.getFields(), org.silverpeas.mobile.shared.dto.FormFieldDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "fields");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getShowPrice()), rc, "showPrice");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeClassifiedsDTO1774156867( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("ClassifiedsDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.classifieds.ClassifiedsDTO parseValue = (org.silverpeas.mobile.shared.dto.classifieds.ClassifiedsDTO)value;
    isNotNullValuePut(toJSON(parseValue.getTypes(), STRING, STRING, org.fusesource.restygwt.client.Json.Style.DEFAULT), rc, "types");
    isNotNullValuePut(toJSON(parseValue.getCategories(), STRING, STRING, org.fusesource.restygwt.client.Json.Style.DEFAULT), rc, "categories");
    isNotNullValuePut(toJSON(parseValue.getClassifieds(), org.silverpeas.mobile.shared.dto.classifieds.ClassifiedDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "classifieds");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getHasComments()), rc, "hasComments");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeGroupDTO1898505912( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("GroupeDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.GroupDTO parseValue = (org.silverpeas.mobile.shared.dto.GroupDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(INT.encode(parseValue.getNbMembers()), rc, "nbMembers");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeHomePageDTO1583054728( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("HomePageDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.HomePageDTO parseValue = (org.silverpeas.mobile.shared.dto.HomePageDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getSpaceName()), rc, "spaceName");
    isNotNullValuePut(toJSON(parseValue.getSpacesAndApps(), org.silverpeas.mobile.shared.dto.navigation.SilverpeasObjectDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "spacesAndApps");
    isNotNullValuePut(toJSON(parseValue.getNews(), org.silverpeas.mobile.shared.dto.news.NewsDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "news");
    isNotNullValuePut(toJSON(parseValue.getFavorites(), org.silverpeas.mobile.shared.dto.MyLinkDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "favorites");
    isNotNullValuePut(toJSON(parseValue.getLastPublications(), org.silverpeas.mobile.shared.dto.documents.PublicationDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "lastPublications");
    isNotNullValuePut(toJSON(parseValue.getLastEvents(), org.silverpeas.mobile.shared.dto.almanach.CalendarEventDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "lastEvents");
    isNotNullValuePut(toJSON(parseValue.getShortCuts(), org.silverpeas.mobile.shared.dto.ShortCutLinkDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "shortCuts");
    isNotNullValuePut(toJSON(parseValue.getTools(), org.silverpeas.mobile.shared.dto.ShortCutLinkDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "tools");
    isNotNullValuePut(STRING.encode(parseValue.getHtmlFreeZone()), rc, "htmlFreeZone");
    isNotNullValuePut(STRING.encode(parseValue.getNewsDisplayer()), rc, "newsDisplayer");
    isNotNullValuePut(STRING.encode(parseValue.getHtmlFreeZoneThin()), rc, "htmlFreeZoneThin");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeMediaDTO227410885( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("MediaDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.media.MediaDTO parseValue = (org.silverpeas.mobile.shared.dto.media.MediaDTO)value;
    isNotNullValuePut(BOOLEAN.encode(parseValue.getDownload()), rc, "download");
    isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
    isNotNullValuePut(STRING.encode(parseValue.getUpdater()), rc, "updater");
    isNotNullValuePut(STRING.encode(parseValue.getCreator()), rc, "creator");
    isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
    isNotNullValuePut(INT.encode(parseValue.getCommentsNumber()), rc, "commentsNumber");
    isNotNullValuePut(STRING.encode(parseValue.getInstance()), rc, "instance");
    isNotNullValuePut(STRING.encode(parseValue.getMimeType()), rc, "mimeType");
    isNotNullValuePut(LONG.encode(parseValue.getSize()), rc, "size");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeNewsDTO524368723( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("NewsDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.news.NewsDTO parseValue = (org.silverpeas.mobile.shared.dto.news.NewsDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getIdNews()), rc, "idNews");
    isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
    isNotNullValuePut(STRING.encode(parseValue.getDescription()), rc, "description");
    isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
    isNotNullValuePut(STRING.encode(parseValue.getVignette()), rc, "vignette");
    isNotNullValuePut(STRING.encode(parseValue.getInstanceId()), rc, "instanceId");
    isNotNullValuePut(STRING.encode(parseValue.getStartDate()), rc, "startDate");
    isNotNullValuePut(STRING.encode(parseValue.getEndDate()), rc, "endDate");
    isNotNullValuePut(STRING.encode(parseValue.getContent()), rc, "content");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getImportant()), rc, "important");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getDraft()), rc, "draft");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getVisible()), rc, "visible");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getManagable()), rc, "managable");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodePhotoDTO694817573( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("PhotoDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.media.PhotoDTO parseValue = (org.silverpeas.mobile.shared.dto.media.PhotoDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getDataPhoto()), rc, "dataPhoto");
    isNotNullValuePut(STRING.encode(parseValue.getFormat()), rc, "format");
    isNotNullValuePut(INT.encode(parseValue.getSizeH()), rc, "sizeH");
    isNotNullValuePut(INT.encode(parseValue.getSizeL()), rc, "sizeL");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getDownload()), rc, "download");
    isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
    isNotNullValuePut(STRING.encode(parseValue.getUpdater()), rc, "updater");
    isNotNullValuePut(STRING.encode(parseValue.getCreator()), rc, "creator");
    isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
    isNotNullValuePut(INT.encode(parseValue.getCommentsNumber()), rc, "commentsNumber");
    isNotNullValuePut(STRING.encode(parseValue.getInstance()), rc, "instance");
    isNotNullValuePut(STRING.encode(parseValue.getMimeType()), rc, "mimeType");
    isNotNullValuePut(LONG.encode(parseValue.getSize()), rc, "size");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodePostDTO751345343( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("PostDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.blog.PostDTO parseValue = (org.silverpeas.mobile.shared.dto.blog.PostDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
    isNotNullValuePut(STRING.encode(parseValue.getDescription()), rc, "description");
    isNotNullValuePut(STRING.encode(parseValue.getCategoryId()), rc, "categoryId");
    isNotNullValuePut(STRING.encode(parseValue.getCategoryName()), rc, "categoryName");
    isNotNullValuePut(STRING.encode(parseValue.getCreatorName()), rc, "creatorName");
    isNotNullValuePut(STRING.encode(parseValue.getDateEvent()), rc, "dateEvent");
    isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
    isNotNullValuePut(STRING.encode(parseValue.getInstanceId()), rc, "instanceId");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodePublicationDTO1361391816( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("PublicationDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.documents.PublicationDTO parseValue = (org.silverpeas.mobile.shared.dto.documents.PublicationDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(STRING.encode(parseValue.getDescription()), rc, "description");
    isNotNullValuePut(STRING.encode(parseValue.getVersion()), rc, "version");
    isNotNullValuePut(STRING.encode(parseValue.getCreator()), rc, "creator");
    isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
    isNotNullValuePut(STRING.encode(parseValue.getUpdater()), rc, "updater");
    isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
    isNotNullValuePut(INT.encode(parseValue.getCommentsNumber()), rc, "commentsNumber");
    isNotNullValuePut(STRING.encode(parseValue.getInstanceId()), rc, "instanceId");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getContent()), rc, "content");
    isNotNullValuePut(BOOLEAN.encode(parseValue.isDraft()), rc, "draft");
    isNotNullValuePut(BOOLEAN.encode(parseValue.isPublishable()), rc, "publishable");
    isNotNullValuePut(toJSON(parseValue.getLinkedPublications(), org.silverpeas.mobile.shared.dto.documents.PublicationDTO_Generated_JsonEncoderDecoder_.INSTANCE), rc, "linkedPublications");
    isNotNullValuePut(STRING.encode(parseValue.getVignette()), rc, "vignette");
    isNotNullValuePut(INT.encode(parseValue.getViewsNumber()), rc, "viewsNumber");
    isNotNullValuePut(toJSON(parseValue.getNotAllowedDownloads(), STRING), rc, "notAllowedDownloads");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeSoundDTO1193808412( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("SoundDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.media.SoundDTO parseValue = (org.silverpeas.mobile.shared.dto.media.SoundDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getDuration()), rc, "duration");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getDownload()), rc, "download");
    isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
    isNotNullValuePut(STRING.encode(parseValue.getUpdater()), rc, "updater");
    isNotNullValuePut(STRING.encode(parseValue.getCreator()), rc, "creator");
    isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
    isNotNullValuePut(INT.encode(parseValue.getCommentsNumber()), rc, "commentsNumber");
    isNotNullValuePut(STRING.encode(parseValue.getInstance()), rc, "instance");
    isNotNullValuePut(STRING.encode(parseValue.getMimeType()), rc, "mimeType");
    isNotNullValuePut(LONG.encode(parseValue.getSize()), rc, "size");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeTaskDTO1042469607( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("TaskDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.TaskDTO parseValue = (org.silverpeas.mobile.shared.dto.TaskDTO)value;
    isNotNullValuePut(INT.encode(parseValue.getPercentCompleted()), rc, "percentCompleted");
    isNotNullValuePut(STRING.encode(parseValue.getPriority()), rc, "priority");
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(STRING.encode(parseValue.getDelegator()), rc, "delegator");
    isNotNullValuePut(STRING.encode(parseValue.getEndDate()), rc, "endDate");
    isNotNullValuePut(STRING.encode(parseValue.getExternalId()), rc, "externalId");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeTopicDTO1459068666( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("TopicDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.documents.TopicDTO parseValue = (org.silverpeas.mobile.shared.dto.documents.TopicDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(BOOLEAN.encode(parseValue.isTerminal()), rc, "terminal");
    isNotNullValuePut(INT.encode(parseValue.getPubCount()), rc, "pubCount");
    isNotNullValuePut(BOOLEAN.encode(parseValue.isRoot()), rc, "root");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeUserDTO783042460( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("UserDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.UserDTO parseValue = (org.silverpeas.mobile.shared.dto.UserDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getLastName()), rc, "lastName");
    isNotNullValuePut(STRING.encode(parseValue.geteMail()), rc, "eMail");
    isNotNullValuePut(STRING.encode(parseValue.getFirstName()), rc, "firstName");
    isNotNullValuePut(STRING.encode(parseValue.getAvatar()), rc, "avatar");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeVideoDTO689117351( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("VideoDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.media.VideoDTO parseValue = (org.silverpeas.mobile.shared.dto.media.VideoDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getDuration()), rc, "duration");
    isNotNullValuePut(STRING.encode(parseValue.getDataPoster()), rc, "dataPoster");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getDownload()), rc, "download");
    isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
    isNotNullValuePut(STRING.encode(parseValue.getUpdater()), rc, "updater");
    isNotNullValuePut(STRING.encode(parseValue.getCreator()), rc, "creator");
    isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
    isNotNullValuePut(INT.encode(parseValue.getCommentsNumber()), rc, "commentsNumber");
    isNotNullValuePut(STRING.encode(parseValue.getInstance()), rc, "instance");
    isNotNullValuePut(STRING.encode(parseValue.getMimeType()), rc, "mimeType");
    isNotNullValuePut(LONG.encode(parseValue.getSize()), rc, "size");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  private com.google.gwt.json.client.JSONValue encodeVideoStreamingDTO17715848( org.silverpeas.mobile.shared.dto.BaseDTO value) {
    com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
    com.google.gwt.json.client.JSONValue className=STRING.encode("VideoStreamingDTO");
    if( className!=null ) { 
      rc.put("@class", className);
    }
    org.silverpeas.mobile.shared.dto.media.VideoStreamingDTO parseValue = (org.silverpeas.mobile.shared.dto.media.VideoStreamingDTO)value;
    isNotNullValuePut(STRING.encode(parseValue.getDuration()), rc, "duration");
    isNotNullValuePut(STRING.encode(parseValue.getUrl()), rc, "url");
    isNotNullValuePut(STRING.encode(parseValue.getUrlPoster()), rc, "urlPoster");
    isNotNullValuePut(BOOLEAN.encode(parseValue.getDownload()), rc, "download");
    isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
    isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
    isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
    isNotNullValuePut(STRING.encode(parseValue.getUpdater()), rc, "updater");
    isNotNullValuePut(STRING.encode(parseValue.getCreator()), rc, "creator");
    isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
    isNotNullValuePut(INT.encode(parseValue.getCommentsNumber()), rc, "commentsNumber");
    isNotNullValuePut(STRING.encode(parseValue.getInstance()), rc, "instance");
    isNotNullValuePut(STRING.encode(parseValue.getMimeType()), rc, "mimeType");
    isNotNullValuePut(LONG.encode(parseValue.getSize()), rc, "size");
    isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
    return rc;
  }
  
  public org.silverpeas.mobile.shared.dto.BaseDTO decode(com.google.gwt.json.client.JSONValue value) {
    if( value == null || value.isNull()!=null ) {
      return null;
    }
    com.google.gwt.json.client.JSONObject object = toObject(value);
    String sourceName = STRING.decode(object.get("@class"));
    if("AlbumDTO".equals(sourceName))
    {
      return decodeAlbumDTO436648798(object);
    }
    if("ClassifiedDTO".equals(sourceName))
    {
      return decodeClassifiedDTO432626151(object);
    }
    if("ClassifiedsDTO".equals(sourceName))
    {
      return decodeClassifiedsDTO1774156867(object);
    }
    if("GroupeDTO".equals(sourceName))
    {
      return decodeGroupDTO1898505912(object);
    }
    if("HomePageDTO".equals(sourceName))
    {
      return decodeHomePageDTO1583054728(object);
    }
    if("MediaDTO".equals(sourceName))
    {
      return decodeMediaDTO227410885(object);
    }
    if("NewsDTO".equals(sourceName))
    {
      return decodeNewsDTO524368723(object);
    }
    if("PhotoDTO".equals(sourceName))
    {
      return decodePhotoDTO694817573(object);
    }
    if("PostDTO".equals(sourceName))
    {
      return decodePostDTO751345343(object);
    }
    if("PublicationDTO".equals(sourceName))
    {
      return decodePublicationDTO1361391816(object);
    }
    if("SoundDTO".equals(sourceName))
    {
      return decodeSoundDTO1193808412(object);
    }
    if("TaskDTO".equals(sourceName))
    {
      return decodeTaskDTO1042469607(object);
    }
    if("TopicDTO".equals(sourceName))
    {
      return decodeTopicDTO1459068666(object);
    }
    if("UserDTO".equals(sourceName))
    {
      return decodeUserDTO783042460(object);
    }
    if("VideoDTO".equals(sourceName))
    {
      return decodeVideoDTO689117351(object);
    }
    if("VideoStreamingDTO".equals(sourceName))
    {
      return decodeVideoStreamingDTO17715848(object);
    }
    return null;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeAlbumDTO436648798(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.media.AlbumDTO rc = new org.silverpeas.mobile.shared.dto.media.AlbumDTO();
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setCountMedia(getValueToSet(INT.decode(object.get("countMedia")), 0));
    rc.setRoot(getValueToSet(BOOLEAN.decode(object.get("root")), false));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeClassifiedDTO432626151(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.classifieds.ClassifiedDTO rc = new org.silverpeas.mobile.shared.dto.classifieds.ClassifiedDTO();
    rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
    rc.setDescription(getValueToSet(STRING.decode(object.get("description")), null));
    rc.setPrice(getValueToSet(STRING.decode(object.get("price")), null));
    rc.setType(getValueToSet(STRING.decode(object.get("type")), null));
    rc.setCategory(getValueToSet(STRING.decode(object.get("category")), null));
    rc.setPictures(getValueToSet(toList(object.get("pictures"), STRING), null));
    rc.setCreatorName(getValueToSet(STRING.decode(object.get("creatorName")), null));
    rc.setCreatorId(getValueToSet(STRING.decode(object.get("creatorId")), null));
    rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
    rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
    rc.setCommentsNumber(getValueToSet(INT.decode(object.get("commentsNumber")), 0));
    rc.setFields(getValueToSet(toList(object.get("fields"), org.silverpeas.mobile.shared.dto.FormFieldDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setShowPrice(getValueToSet(BOOLEAN.decode(object.get("showPrice")), false));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeClassifiedsDTO1774156867(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.classifieds.ClassifiedsDTO rc = new org.silverpeas.mobile.shared.dto.classifieds.ClassifiedsDTO();
    rc.setTypes(getValueToSet(toMap(object.get("types"), STRING, STRING, org.fusesource.restygwt.client.Json.Style.DEFAULT), null));
    rc.setCategories(getValueToSet(toMap(object.get("categories"), STRING, STRING, org.fusesource.restygwt.client.Json.Style.DEFAULT), null));
    rc.setClassifieds(getValueToSet(toList(object.get("classifieds"), org.silverpeas.mobile.shared.dto.classifieds.ClassifiedDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setHasComments(getValueToSet(BOOLEAN.decode(object.get("hasComments")), false));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeGroupDTO1898505912(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.GroupDTO rc = new org.silverpeas.mobile.shared.dto.GroupDTO();
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setNbMembers(getValueToSet(INT.decode(object.get("nbMembers")), 0));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeHomePageDTO1583054728(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.HomePageDTO rc = new org.silverpeas.mobile.shared.dto.HomePageDTO();
    rc.setSpaceName(getValueToSet(STRING.decode(object.get("spaceName")), null));
    rc.setSpacesAndApps(getValueToSet(toList(object.get("spacesAndApps"), org.silverpeas.mobile.shared.dto.navigation.SilverpeasObjectDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setNews(getValueToSet(toList(object.get("news"), org.silverpeas.mobile.shared.dto.news.NewsDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setFavorites(getValueToSet(toList(object.get("favorites"), org.silverpeas.mobile.shared.dto.MyLinkDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setLastPublications(getValueToSet(toList(object.get("lastPublications"), org.silverpeas.mobile.shared.dto.documents.PublicationDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setLastEvents(getValueToSet(toList(object.get("lastEvents"), org.silverpeas.mobile.shared.dto.almanach.CalendarEventDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setShortCuts(getValueToSet(toList(object.get("shortCuts"), org.silverpeas.mobile.shared.dto.ShortCutLinkDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setTools(getValueToSet(toList(object.get("tools"), org.silverpeas.mobile.shared.dto.ShortCutLinkDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setHtmlFreeZone(getValueToSet(STRING.decode(object.get("htmlFreeZone")), null));
    rc.setNewsDisplayer(getValueToSet(STRING.decode(object.get("newsDisplayer")), null));
    rc.setHtmlFreeZoneThin(getValueToSet(STRING.decode(object.get("htmlFreeZoneThin")), null));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeMediaDTO227410885(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.media.MediaDTO rc = new org.silverpeas.mobile.shared.dto.media.MediaDTO();
    rc.setDownload(getValueToSet(BOOLEAN.decode(object.get("download")), false));
    rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
    rc.setUpdater(getValueToSet(STRING.decode(object.get("updater")), null));
    rc.setCreator(getValueToSet(STRING.decode(object.get("creator")), null));
    rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
    rc.setCommentsNumber(getValueToSet(INT.decode(object.get("commentsNumber")), 0));
    rc.setInstance(getValueToSet(STRING.decode(object.get("instance")), null));
    rc.setMimeType(getValueToSet(STRING.decode(object.get("mimeType")), null));
    rc.setSize(getValueToSet(LONG.decode(object.get("size")), 0L));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeNewsDTO524368723(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.news.NewsDTO rc = new org.silverpeas.mobile.shared.dto.news.NewsDTO();
    rc.setIdNews(getValueToSet(STRING.decode(object.get("idNews")), null));
    rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
    rc.setDescription(getValueToSet(STRING.decode(object.get("description")), null));
    rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
    rc.setVignette(getValueToSet(STRING.decode(object.get("vignette")), null));
    rc.setInstanceId(getValueToSet(STRING.decode(object.get("instanceId")), null));
    rc.setStartDate(getValueToSet(STRING.decode(object.get("startDate")), null));
    rc.setEndDate(getValueToSet(STRING.decode(object.get("endDate")), null));
    rc.setContent(getValueToSet(STRING.decode(object.get("content")), null));
    rc.setImportant(getValueToSet(BOOLEAN.decode(object.get("important")), false));
    rc.setDraft(getValueToSet(BOOLEAN.decode(object.get("draft")), false));
    rc.setVisible(getValueToSet(BOOLEAN.decode(object.get("visible")), false));
    rc.setManagable(getValueToSet(BOOLEAN.decode(object.get("managable")), false));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodePhotoDTO694817573(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.media.PhotoDTO rc = new org.silverpeas.mobile.shared.dto.media.PhotoDTO();
    rc.setDataPhoto(getValueToSet(STRING.decode(object.get("dataPhoto")), null));
    rc.setFormat(getValueToSet(STRING.decode(object.get("format")), null));
    rc.setSizeH(getValueToSet(INT.decode(object.get("sizeH")), 0));
    rc.setSizeL(getValueToSet(INT.decode(object.get("sizeL")), 0));
    rc.setDownload(getValueToSet(BOOLEAN.decode(object.get("download")), false));
    rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
    rc.setUpdater(getValueToSet(STRING.decode(object.get("updater")), null));
    rc.setCreator(getValueToSet(STRING.decode(object.get("creator")), null));
    rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
    rc.setCommentsNumber(getValueToSet(INT.decode(object.get("commentsNumber")), 0));
    rc.setInstance(getValueToSet(STRING.decode(object.get("instance")), null));
    rc.setMimeType(getValueToSet(STRING.decode(object.get("mimeType")), null));
    rc.setSize(getValueToSet(LONG.decode(object.get("size")), 0L));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodePostDTO751345343(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.blog.PostDTO rc = new org.silverpeas.mobile.shared.dto.blog.PostDTO();
    rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
    rc.setDescription(getValueToSet(STRING.decode(object.get("description")), null));
    rc.setCategoryId(getValueToSet(STRING.decode(object.get("categoryId")), null));
    rc.setCategoryName(getValueToSet(STRING.decode(object.get("categoryName")), null));
    rc.setCreatorName(getValueToSet(STRING.decode(object.get("creatorName")), null));
    rc.setDateEvent(getValueToSet(STRING.decode(object.get("dateEvent")), null));
    rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
    rc.setInstanceId(getValueToSet(STRING.decode(object.get("instanceId")), null));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodePublicationDTO1361391816(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.documents.PublicationDTO rc = new org.silverpeas.mobile.shared.dto.documents.PublicationDTO();
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setDescription(getValueToSet(STRING.decode(object.get("description")), null));
    rc.setVersion(getValueToSet(STRING.decode(object.get("version")), null));
    rc.setCreator(getValueToSet(STRING.decode(object.get("creator")), null));
    rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
    rc.setUpdater(getValueToSet(STRING.decode(object.get("updater")), null));
    rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
    rc.setCommentsNumber(getValueToSet(INT.decode(object.get("commentsNumber")), 0));
    rc.setInstanceId(getValueToSet(STRING.decode(object.get("instanceId")), null));
    rc.setContent(getValueToSet(BOOLEAN.decode(object.get("content")), false));
    rc.setDraft(getValueToSet(BOOLEAN.decode(object.get("draft")), false));
    rc.setPublishable(getValueToSet(BOOLEAN.decode(object.get("publishable")), false));
    rc.setLinkedPublications(getValueToSet(toList(object.get("linkedPublications"), org.silverpeas.mobile.shared.dto.documents.PublicationDTO_Generated_JsonEncoderDecoder_.INSTANCE), null));
    rc.setVignette(getValueToSet(STRING.decode(object.get("vignette")), null));
    rc.setViewsNumber(getValueToSet(INT.decode(object.get("viewsNumber")), 0));
    rc.setNotAllowedDownloads(getValueToSet(toList(object.get("notAllowedDownloads"), STRING), null));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeSoundDTO1193808412(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.media.SoundDTO rc = new org.silverpeas.mobile.shared.dto.media.SoundDTO();
    rc.setDuration(getValueToSet(STRING.decode(object.get("duration")), null));
    rc.setDownload(getValueToSet(BOOLEAN.decode(object.get("download")), false));
    rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
    rc.setUpdater(getValueToSet(STRING.decode(object.get("updater")), null));
    rc.setCreator(getValueToSet(STRING.decode(object.get("creator")), null));
    rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
    rc.setCommentsNumber(getValueToSet(INT.decode(object.get("commentsNumber")), 0));
    rc.setInstance(getValueToSet(STRING.decode(object.get("instance")), null));
    rc.setMimeType(getValueToSet(STRING.decode(object.get("mimeType")), null));
    rc.setSize(getValueToSet(LONG.decode(object.get("size")), 0L));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeTaskDTO1042469607(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.TaskDTO rc = new org.silverpeas.mobile.shared.dto.TaskDTO();
    rc.setPercentCompleted(getValueToSet(INT.decode(object.get("percentCompleted")), 0));
    rc.setPriority(getValueToSet(STRING.decode(object.get("priority")), null));
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setDelegator(getValueToSet(STRING.decode(object.get("delegator")), null));
    rc.setEndDate(getValueToSet(STRING.decode(object.get("endDate")), null));
    rc.setExternalId(getValueToSet(STRING.decode(object.get("externalId")), null));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeTopicDTO1459068666(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.documents.TopicDTO rc = new org.silverpeas.mobile.shared.dto.documents.TopicDTO();
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setTerminal(getValueToSet(BOOLEAN.decode(object.get("terminal")), false));
    rc.setPubCount(getValueToSet(INT.decode(object.get("pubCount")), 0));
    rc.setRoot(getValueToSet(BOOLEAN.decode(object.get("root")), false));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeUserDTO783042460(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.UserDTO rc = new org.silverpeas.mobile.shared.dto.UserDTO();
    rc.setLastName(getValueToSet(STRING.decode(object.get("lastName")), null));
    rc.seteMail(getValueToSet(STRING.decode(object.get("eMail")), null));
    rc.setFirstName(getValueToSet(STRING.decode(object.get("firstName")), null));
    rc.setAvatar(getValueToSet(STRING.decode(object.get("avatar")), null));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeVideoDTO689117351(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.media.VideoDTO rc = new org.silverpeas.mobile.shared.dto.media.VideoDTO();
    rc.setDuration(getValueToSet(STRING.decode(object.get("duration")), null));
    rc.setDataPoster(getValueToSet(STRING.decode(object.get("dataPoster")), null));
    rc.setDownload(getValueToSet(BOOLEAN.decode(object.get("download")), false));
    rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
    rc.setUpdater(getValueToSet(STRING.decode(object.get("updater")), null));
    rc.setCreator(getValueToSet(STRING.decode(object.get("creator")), null));
    rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
    rc.setCommentsNumber(getValueToSet(INT.decode(object.get("commentsNumber")), 0));
    rc.setInstance(getValueToSet(STRING.decode(object.get("instance")), null));
    rc.setMimeType(getValueToSet(STRING.decode(object.get("mimeType")), null));
    rc.setSize(getValueToSet(LONG.decode(object.get("size")), 0L));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
  private org.silverpeas.mobile.shared.dto.BaseDTO decodeVideoStreamingDTO17715848(com.google.gwt.json.client.JSONObject object) {
    org.silverpeas.mobile.shared.dto.media.VideoStreamingDTO rc = new org.silverpeas.mobile.shared.dto.media.VideoStreamingDTO();
    rc.setDuration(getValueToSet(STRING.decode(object.get("duration")), null));
    rc.setUrl(getValueToSet(STRING.decode(object.get("url")), null));
    rc.setUrlPoster(getValueToSet(STRING.decode(object.get("urlPoster")), null));
    rc.setDownload(getValueToSet(BOOLEAN.decode(object.get("download")), false));
    rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
    rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
    rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
    rc.setUpdater(getValueToSet(STRING.decode(object.get("updater")), null));
    rc.setCreator(getValueToSet(STRING.decode(object.get("creator")), null));
    rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
    rc.setCommentsNumber(getValueToSet(INT.decode(object.get("commentsNumber")), 0));
    rc.setInstance(getValueToSet(STRING.decode(object.get("instance")), null));
    rc.setMimeType(getValueToSet(STRING.decode(object.get("mimeType")), null));
    rc.setSize(getValueToSet(LONG.decode(object.get("size")), 0L));
    rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
    return rc;
  }
  
}
